POST /storage/objects/{object_id}/restore
Restore an earlier version
Exact scope storage:write. No body. Hidden surface: 404 not_found until Galon Storage is open to the account.
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
object_id | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Object restored | object |
404 | storage_object_not_found | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X POST "$GALON_API_BASE/storage/objects/<object_id>/restore" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.objects.restore("<id>");Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.objects.restore("<id>")